Subject: Re: bug#61679: 29.0.60; Eglot: staying out of trouble

From: Augusto Stoffel <[email-masked]>
Date: Tue, 21 Feb 2023 16:09:11 +0100

On Tue, 21 Feb 2023 at 15:00, João Távora wrote:

> In the Eldoc case, as of yesterday, this no longer happens.

Okay, nice.

> This seems way too complicated for a problem that hasn't even been
> demonstrated.

jedi-language-server doesn't provide diagnostics and it's officially
supported and rather popular.  (My digestif server also doesn't support
it but I'm not going to mention that.)  Since I only ever used 3
servers, I think the situation is not that rare.

> The reason there's no capability announcement for diagnostics is
> likely because it's such a basic capability that virtually every
> server supports it, unless you go out of your way to find or craft one
> that doesn't.

I think you are being too kind with the designers of the protocol :-).